<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.distributed-cache" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="capacity-factor,l1-lifespan,owners,segments,remote-timeout,statistics-enabled,modules"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,distributed-cache"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-configurator-factory.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container.cache.transport.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-builder-factory.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.group.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.service-provider-registry.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry-entry.$cache-container.$distributed-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry-factory.$cache-container.$distributed-cache"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.transport.channel.$cache-container"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="capacity-factor" nillable="true" stability="default"/>
        <param name="remote-timeout" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="owners" nillable="true" stability="default"/>
        <param name="distributed-cache" feature-id="true"/>
        <param name="l1-lifespan" nillable="true" stability="default"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="modules" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="segments" nillable="true" stability="default"/>
    </params>
</feature-spec>